Register a new webhook endpoint
curl --request POST \
--url https://api.devhelm.io/api/v1/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"subscribedEvents": [],
"description": "<string>"
}
'import requests
url = "https://api.devhelm.io/api/v1/webhooks"
payload = {
"url": "<string>",
"subscribedEvents": [],
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', subscribedEvents: [], description: '<string>'})
};
fetch('https://api.devhelm.io/api/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"subscribedEvents": [
"<string>"
],
"enabled": true,
"consecutiveFailures": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"disabledReason": "<string>",
"disabledAt": "2023-11-07T05:31:56Z"
}
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}Webhooks
Register a new webhook endpoint
POST
/
api
/
v1
/
webhooks
Register a new webhook endpoint
Authorizations
API key (dh_live_...) or Auth0 JWT token
Body
application/json
HTTPS endpoint that receives webhook event payloads
Maximum string length:
2048Event types to deliver
Minimum array length:
1Available options:
monitor.created, monitor.updated, monitor.deleted, incident.created, incident.resolved, incident.reopened, service.status_changed, service.component_changed, service.incident_created, service.incident_updated, service.incident_resolved Minimum string length:
1Optional human-readable description
Maximum string length:
255Response
Created
Webhook endpoint that receives event delivery payloads
Show child attributes
Show child attributes
⌘I